@import '~@guildion/next/styles/component.module.scss';

.container {
  width: 100%;
  height: 100%;
  &-profile {
    width: 120px;
    height: 120px;
    border-radius: 60px;
    overflow: hidden;
    position: relative;
    border-color: var(--background-subp2);
    border-width: 1px;
    margin: 0 auto;
  }
  &-name {
    font-size: 24px;
    font-family: var(--default-font-family);
    color: var(--element-default);
    text-align: center;
    font-weight: bold;
    margin: 20px auto;
  }
  &-description {
    font-size: 12px;
    font-family: var(--default-font-family);
    color: var(--element-subp1);
    text-align: left;
    line-height: 24px;
    white-space: pre-wrap;
  }
  &-social {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 20px 0;
    gap: 40px;
    &_link {
      @include make-transition;
      width: 44px;
      height: 44px;
      border-radius: 22px;
      display: flex;
      justify-content: center;
      align-items: center;
      background: transparent;
      cursor: pointer;
      &:hover {
        @include make-transition;
        background: var(--background-subp3);
      }
    }
  }
}